Skip to content
Browse documentation

OpenAPI operations

Rename a bookmark

PATCH
/v1/bookmarks/{id}
curl --request PATCH \
--url https://api.hooks.events/v1/bookmarks/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example" }'

Requires the endpoints:write scope.

id
required
string
Media typeapplication/json
object
name
required
string
>= 1 characters <= 120 characters

Example generated

{
"name": "example"
}

Success

Media typeapplication/json
object
data
required
object
id
required

Resource id

string
projectId
required
string
endpointId
required

Endpoint the payload arrived at

string
name
required
string
eventType
required
string | null
method
required
string
payloadRef
required
string
payloadSize
required
integer
>= -9007199254740991 <= 9007199254740991
payloadHash
required
string
headersJson
required

Saved inbound headers as a JSON string

string
sourceEventId
required

Null once the source event was purged

string | null
createdAt
required

ISO-8601 timestamp

string
updatedAt
required

ISO-8601 timestamp

string
key
additional properties
key
additional properties

Example generated

{
"data": {
"id": "example",
"projectId": "example",
"endpointId": "example",
"name": "example",
"eventType": "example",
"method": "example",
"payloadRef": "example",
"payloadSize": 1,
"payloadHash": "example",
"headersJson": "example",
"sourceEventId": "example",
"createdAt": "example",
"updatedAt": "example"
}
}

Validation error

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Missing or invalid credentials

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

The credential lacks the required scope, or the workspace is not writable

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Resource not found

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Rate limited

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}
X-RateLimit-Limit
integer

Requests allowed per window

X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer

Seconds until the window resets